Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InlineQueryResultsButtonType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InlineQueryResultsButtonType

Direct Known Subclasses:
  `TdApi.InlineQueryResultsButtonTypeStartBot`, `TdApi.InlineQueryResultsButtonTypeWebApp`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InlineQueryResultsButtonType extends TdApi.Object permits TdApi.InlineQueryResultsButtonTypeStartBot, TdApi.InlineQueryResultsButtonTypeWebApp
This class is an abstract base class. Represents a type of a button in results of inline query.

## Constructor Summary

Constructors
Constructor
Description
`InlineQueryResultsButtonType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InlineQueryResultsButtonType

public InlineQueryResultsButtonType()
Default class constructor.